Follow-up Comment #12, bug #19029 (project freeciv):

> (Need to think further about dropping unnecessary backwards
> compatibility for S2_4 and trunk before commit.)

I'd commit it with savegame format version (2.4.0, 2.5.0) internal backward
compatibility in place first. So for a while savegames created with latest
freeciv would be usable with just recent freeciv. Later, when any "recent"
freeciv can read the new-style known information, we can drop that
compatibility saving, or rather move it to 2.4 -> 2.3 savegame format
compatibility functions. This *if* we retain ability to save in old formats.
After fighting a while with gen-roads related savegame issues, I really wonder
if being able to save in old format is so important feature that it's worth
the huge maintenance work. How many people ever actually save in older
format?


    _______________________________________________________

Reply to this item at:

  <http://gna.org/bugs/?19029>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to